# Shoptet Pay API


  ### How to get your API key:
  - In your e-shop administration in the `Shoptet Pay` section you must search in the `Online card payment` or `Payment Terminals` subsections for the `API keys Settings` tab
  - Find and use the  `Generate new key` button and fill the name and expiration date and select appropriate permissions
  - Find and use the `Generate` button and save and/or use the key. You will not be able to see the key value again after refreshing the page
  ### Using the key in your application:
  - From your server, call any appropriate address from this API documentation with HTTP header `Authorization: Bearer <API access token>`
  - As a response to your call with the valid header you will receive the appropriate response as described in this API further below
  ### Testing endpoints:
  - You can call endpoints directly on this page just fill in the token under the Authorize button


Version: 1.0

## Servers

Test
```
https://api.labshoptetpay.com
```

Production
```
https://api.shoptetpay.com
```

## Security

### bearer

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

[Shoptet Pay API](https://api.docs.shoptet.com/_bundle/Shoptet%20Pay%20API/openapi-public.yaml)

## webhooks

### WebhooksController_post

 - [POST /v1/webhooks](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/webhooks/webhookscontroller_post.md)

### WebhooksController_all

 - [GET /v1/webhooks](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/webhooks/webhookscontroller_all.md)

### WebhooksController_get

 - [GET /v1/webhooks/{id}](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/webhooks/webhookscontroller_get.md)

### WebhooksController_delete

 - [DELETE /v1/webhooks/{id}](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/webhooks/webhookscontroller_delete.md)

## card payments

### CardPaymentsController_get

 - [GET /v1/card-payments/{id}](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_get.md)

### CardPaymentsController_all

 - [GET /v1/card-payments](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_all.md)

### CardPaymentsController_post

 - [POST /v1/card-payments](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_post.md)

### CardPaymentsController_revoke

 - [POST /v1/card-payments/{id}/revoke](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_revoke.md)

### CardPaymentsController_capture

 - [POST /v1/card-payments/{id}/capture](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_capture.md)

### CardPaymentsController_cancel

 - [POST /v1/card-payments/{id}/cancel](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_cancel.md)

### CardPaymentsController_refund

 - [POST /v1/card-payments/{id}/refund](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_refund.md)

### CardPaymentsController_events

 - [GET /v1/card-payments/{id}/events](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/card-payments/cardpaymentscontroller_events.md)

## payments

### PaymentsController_findAll

 - [GET /v1/payments](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/payments/paymentscontroller_findall.md)

### PaymentsController_findOne

 - [GET /v1/payments/{id}](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/payments/paymentscontroller_findone.md)

## reports

### PayoutReportsController_find

 - [GET /v1/reports/payout](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/reports/payoutreportscontroller_find.md)

### PayoutReportsController_getByIdAndFormat

 - [GET /v1/reports/payout/{id}/{format}](https://api.docs.shoptet.com/shoptet-pay-api/openapi-public/reports/payoutreportscontroller_getbyidandformat.md)

